Bug 650767

Summary: Review Request: aiki - A CMS Creator Web Application
Product: [Fedora] Fedora Reporter: Steven Garcia <webwhammy>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: notting, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: noarch   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-01 11:21:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Steven Garcia 2010-11-07 21:22:40 EST
Spec URL: http://aikiframework.org/files/pkgs/0.4.5/aiki.spec
SRPM URL: http://aikiframework.org/files/pkgs/0.4.5/aiki-0.4.5-1.fc13.src.rpm

Description:
Aiki Framework is a web application written in PHP that allows users to easily create and work with content management systems.

This is my first Fedora Core package and I need a sponsor.

I'm one of the upstream developers of this package and have already done all of the following tasks:
Read and followed the Packaging Guidelines and Package Naming Guidelines.
Read and followed the Licensing Guidelines
Licensed the package of which the text is included in %doc of the spec file
Identified all existing licenses in the package and listed them in the license field of the spec file
License: AGPLv3 and GPLv2 and LGPLv2+ and zlib and BSD
Verified all licenses appear in Good Licenses of
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses
Included PACKAGE-LICENSING in %doc which lists all files under different licenses
Added comments for every license in the %files section above the files they pertain to

Created a Red Hat Bugzilla Account
Joined and read the fedora devel-announce@lists.fedoraproject.org mailing list

Verified the package is NOT in the Fedora Package
Database for packages already in the repository
Verified the package is NOT in the Review Tracker for packages under review
Verified the package is NOT in the retired package list
Verified the package does NOT contain forbidden items
Verified it is NOT proprietary
Verified it is NOT legally encumbered
Verified it does NOT violate United States laws

Read Other Submissions for package review requests

Created and uploaded RPM Spec and SRPM files
http://aikiframework.org/files/pkgs/0.4.5/

Created a review request
Put the name of the package and brief summary in the 'Review Summary' field 
Put a description of the package in the 'Review Description' field.
Included the URLs to the SRPM and SPEC files.
Explained that this is my first package and I need a sponsor. 
Edited my review request bug and added FE-NEEDSPONSOR in the 'Bug blocks' field

Informed the upstream developers

Created an account in the Fedora Account System
Set account name as fosdevel
Set Full name as Steven Garcia
Set Email
Set Telephone number
Set Country US
Set IRC nick as fosdevel
Set PGP key
Set Public SSH Key
Signed the CLA
Downloaded a client-side certificate

Installed the Client Tools (Koji)
Ran fedora-packager-setup
Imported my certificate (fedora-browser-cert.p12)
into my firefox browser
Imported Fedora and Koji Server certificates
into my firefox browser

Ran successfull koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f12 aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585711
$ koji build --scratch dist-f12-updates-candidate aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585715
$ koji build --scratch dist-f13 aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585741
$ koji build --scratch dist-f13-kde aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585761
$ koji build --scratch dist-f13-updates-candidate aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585818
$ koji build --scratch dist-f14 aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585825
$ koji build --scratch dist-f14-gobject aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585833
$ koji build --scratch dist-f14-kde aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585839
$ koji build --scratch dist-f14-updates-candidate aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585843
$ koji build --scratch dist-f15 aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585845
$ koji build --scratch dist-olpc4 aiki-0.4.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2585847

Verified each Package Review Guideline

Ran rpmlint on spec, srpm and rpm files
$ rpmlint SPECS/aiki.spec SRPMS/aiki-0.4.5-1.fc13.src.rpm RPMS/noarch/aiki-0.4.5-1.fc13.noarch.rpm
aiki.noarch: W: non-conffile-in-etc /etc/xdg/menus/applications-merged/aiki.menu
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Ran mock to validate build requirements
$ mock --rebuild SRPMS/aiki-0.4.5-1.fc13.src.rpm
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/aiki-0.4.5-1.fc13.src.rpm)
Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386)
unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/aiki-0.4.5-1.fc13.src.rpm)
Config(default) 0 minutes 37 seconds
INFO: Results and/or logs in:
/var/lib/mock/fedora-13-i386/result

Commented on other review requests to show, that I know the Packaging Guidelines
https://bugzilla.redhat.com/show_bug.cgi?id=650643
Comment 1 Steven Garcia 2010-11-08 22:01:27 EST
Updated to fix RPM Lint warning 'non-conffile-in-etc' as shown here:
http://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors#non-conffile-in-etc

Ran successful rpmlint on spec, srpm and rpm
$ rpmlint SPECS/aiki.spec \
  SRPMS/aiki-0.4.5-2.fc13.src.rpm \
  RPMS/noarch/aiki-0.4.5-2.fc13.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Ran successful mock rebuild 
$ mock --rebuild SRPMS/aiki-0.4.5-2.fc13.src.rpm
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/aiki-0.4.5-2.fc13.src.rpm)  Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386) unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/aiki-0.4.5-2.fc13.src.rpm) Config(default) 1 minutes 4 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-13-i386/result

Ran more successfull koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f12 aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588941
$ koji build --scratch dist-f12-updates-candidate aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588942
$ koji build --scratch dist-f13 aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588961
$ koji build --scratch dist-f13-kde aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588954
$ koji build --scratch dist-f13-updates-candidate aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588973
$ koji build --scratch dist-f14 aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588955
$ koji build --scratch dist-f14-gobject aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588946
$ koji build --scratch dist-f14-kde aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588948
$ koji build --scratch dist-f14-updates-candidate aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588945
$ koji build --scratch dist-f15 aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588953
$ koji build --scratch dist-olpc4 aiki-0.4.5-2.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2588963
Comment 2 Steven Garcia 2010-11-08 22:03:55 EST
Here the updated links pertaining the comment above.

Spec URL: http://aikiframework.org/files/pkgs/0.4.5/aiki.spec
SRPM URL: http://aikiframework.org/files/pkgs/0.4.5/aiki-0.4.5-2.fc13.src.rpm
Comment 3 Steven Garcia 2010-11-10 01:55:23 EST
Updated to upstream 0.6.0 and corrected license field to multiple dual licenses as specified here:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Combined_Dual_and_Multiple_Licensing_Scenario

Spec URL: http://aikiframework.org/files/pkgs/0.6.0/aiki.spec
SRPM URL: http://aikiframework.org/files/pkgs/0.6.0/aiki-0.6.0-1.fc13.src.rpm

Ran successful rpmlint on spec, srpm and rpm
$ rpmlint SPECS/aiki.spec \
> SRPMS/aiki-0.6.0-1.fc13.src.rpm \
> RPMS/noarch/aiki-0.6.0-1.fc13.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Ran successful mock rebuild 
$ mock --rebuild SRPMS/aiki-0.6.0-1.fc13.src.rpm
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/aiki-0.6.0-1.fc13.src.rpm)  Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386) unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/aiki-0.6.0-1.fc13.src.rpm) Config(default) 1 minutes 0 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-13-i386/result

Ran more successful koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f12 aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592385
$ koji build --scratch dist-f12-updates-candidate aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592387
$ koji build --scratch dist-f13 aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592389
$ koji build --scratch dist-f13-kde aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592391
$ koji build --scratch dist-f13-updates-candidate aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592393
$ koji build --scratch dist-f14 aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592405
$ koji build --scratch dist-f14-gobject aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592397
$ koji build --scratch dist-f14-kde aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592395
$ koji build --scratch dist-f14-updates-candidate aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592398
$ koji build --scratch dist-f15 aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592403
$ koji build --scratch dist-olpc4 aiki-0.6.0-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2592401
Comment 4 Steven Garcia 2010-11-12 17:30:57 EST
Updated to upstream 0.6.3, changed summary field and replaced wild-cards from files section.

Spec URL: http://aikiframework.org/files/pkgs/0.6.3/aiki.spec
SRPM URL: http://aikiframework.org/files/pkgs/0.6.3/aiki-0.6.3-1.fc13.src.rpm

Ran successful rpmlint on spec, srpm and rpm
$ rpmlint SPECS/aiki.spec \
SRPMS/aiki-0.6.3-1.fc13.src.rpm \
RPMS/noarch/aiki-0.6.3-1.fc13.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Ran successful mock rebuild
$ mock --rebuild SRPMS/aiki-0.6.3-1.fc13.src.rpm
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/aiki-0.6.3-1.fc13.src.rpm)  Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386) unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/aiki-0.6.3-1.fc13.src.rpm) Config(default) 1 minutes 10 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-13-i386/result

Ran more successful koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f13 aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598278
$ koji build --scratch dist-f13-kde aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598270
$ koji build --scratch dist-f13-updates-candidate aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598276
$ koji build --scratch dist-f14 aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598282
$ koji build --scratch dist-f14-gobject aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598269
$ koji build --scratch dist-f14-kde aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598274
$ koji build --scratch dist-f14-updates-candidate aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598286
$ koji build --scratch dist-f15 aiki-0.6.3-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2598268
Comment 5 Steven Garcia 2010-11-13 15:58:50 EST
Updated to upstream 0.6.5, added extensions directory to files section.

Spec URL: http://aikiframework.org/files/pkgs/0.6.5/aiki.spec
SRPM URL: http://aikiframework.org/files/pkgs/0.6.5/aiki-0.6.5-1.fc13.src.rpm

Ran successful rpmlint on spec, srpm and rpm
$ rpmlint SPECS/aiki.spec \
SRPMS/aiki-0.6.5-1.fc13.src.rpm \
RPMS/noarch/aiki-0.6.5-1.fc13.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Ran successful mock rebuild
$ mock --rebuild SRPMS/aiki-0.6.5-1.fc13.src.rpm
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/aiki-0.6.5-1.fc13.src.rpm)  Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386) unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/aiki-0.6.5-1.fc13.src.rpm) Config(default) 0 minutes 55 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-13-i386/result

Ran more successful koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f13 aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599387
$ koji build --scratch dist-f13-kde aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599390
$ koji build --scratch dist-f13-updates-candidate aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599384
$ koji build --scratch dist-f14 aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599394
$ koji build --scratch dist-f14-gobject aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599396
$ koji build --scratch dist-f14-kde aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599398
$ koji build --scratch dist-f14-updates-candidate aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599388
$ koji build --scratch dist-f15 aiki-0.6.5-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2599386
Comment 6 Steven Garcia 2010-11-14 23:15:08 EST
Updated to upstream 0.6.6, changed license field.

Spec URL: http://aikiframework.org/files/pkgs/0.6.6/aiki.spec
SRPM URL: http://aikiframework.org/files/pkgs/0.6.6/aiki-0.6.6-1.fc13.src.rpm

$ rpmlint SPECS/aiki.spec \
SRPMS/aiki-0.6.6-1.fc13.src.rpm \
RPMS/noarch/aiki-0.6.6-1.fc13.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Ran successful mock rebuild
$ mock --rebuild SRPMS/aiki-0.6.6-1.fc13.src.rpm
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/aiki-0.6.6-1.fc13.src.rpm)  Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386) unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/aiki-0.6.6-1.fc13.src.rpm) Config(default) 1 minutes 7 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-13-i386/result

Ran more successful koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f13 aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601050
$ koji build --scratch dist-f13-kde aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601047
$ koji build --scratch dist-f13-updates-candidate aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601058
$ koji build --scratch dist-f14 aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601061
$ koji build --scratch dist-f14-gobject aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601053
$ koji build --scratch dist-f14-kde aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601048
$ koji build --scratch dist-f14-updates-candidate aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601054
$ koji build --scratch dist-f15 aiki-0.6.6-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2601057
Comment 7 Jason Tibbitts 2012-04-24 20:09:20 EDT
I'm just looking over some old review tickets.  And like another of your packages I looked at, the amazingly excessive macro usage makes the spec nearly unreadable.  I suspect that has scared off everyone else who has looked at this package as well.

I'd be willing to give you a package review, but only if you're willing to do something reasonably simple.  If you insist on that horribly verbose style you're using now, I don't think I can help you.